package org.iespuigcastellar.attendancemanager.core;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.ResourceBundle;

public class Logger {
	private static SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
	private static SimpleDateFormat timeFormat = new SimpleDateFormat("HH:mm:ss");
	private static String instance = ResourceBundle.getBundle("AttendanceManager").getString("instance_name");

	public static void log(String m) {
		Date d = new Date();
		System.err.println(dateFormat.format(d) + " " + timeFormat.format(d) + " " + instance + " -> " + m);
	}
}
